#if !defined(AFX_BUTTONICON_H__96A59F11_138A_4A2B_8CA4_CA561B212D33__INCLUDED_)
#define AFX_BUTTONICON_H__96A59F11_138A_4A2B_8CA4_CA561B212D33__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

struct ICONSETTINGS
{
	string iconX;
	string iconY;
	int iconSize;

	int icon_saturation;
	int icon_hueintensity;
	COLORREF icon_huecolor;
};

class ButtonIcon  
{
public:
	ButtonIcon(const string &name);
	virtual ~ButtonIcon();

	void configure(const string &name);
	void apply(HDC hDC, int x, int y, int width, int height, int buttonType, HICON hIcon, bool transparencyMode);

private:

	void subconfigure(string type, ICONSETTINGS &workSettings, ICONSETTINGS &defaultSettings);

	ICONSETTINGS defaulticon;
	ICONSETTINGS normal;
	ICONSETTINGS active;
	ICONSETTINGS minimized;
	ICONSETTINGS flashing;
};

#endif // !defined(AFX_BUTTONICON_H__96A59F11_138A_4A2B_8CA4_CA561B212D33__INCLUDED_)
